<div class='edit-form'>

	<div class='edit-form__header'>
		<h1 class='title'><?php echo $this->InflectorExt->camelToPluralize($displayName); ?> <span>Administration</span></h1>
		<h2 class='title edit-form__title'>
			<?php
				echo 'Edit ';
				echo $this->InflectorExt->camelToPluralize($displayName);
			?>
		</h2>

		<?php echo $this->Element('toolbar'); ?>
	</div>

	<?php
		echo $this->Html->script(
			array(
				'admin_form',
				'attachments',
				'notifications',
				'tinymce/js/tinymce/tinymce.min',
				'map_location'
			),
			array('inline'=>false)
		);

		echo $this->Html->script('admin_form', array('inline'=>false));

		echo $this->Form->create(null, array(
			'inputDefaults'=>array(
				'empty'=>''
			),
			'type' => 'file',
			'class' => 'cr'
		));
	?>

	<?php foreach ($fields as $category => $categoryFields): ?>

		<div class='tab__content' data-title='<?php echo $category; ?>'>
			<?php echo $this->Element('Forms/fields', array('fields' => $categoryFields)) ?>
		</div>

	<?php endforeach; ?>


	<div class="input checkbox">
		<input type="hidden" name="return" id="return_" value="0" />
		<input type="checkbox" name="return" null="1" length="1" value="1" id="return"<?php echo !empty($return) ? 'checked="checked"' : null; ?> /><!--
		--><label for="return"><?php echo __('Return after saving'); ?></label>
	</div>

	<?php echo $this->Element('Forms/form_submit'); ?>

	<?php echo $this->Form->end(); ?>

</div>